﻿.datatable
{
    width: 100%;
}

    .datatable th {
        font-weight: normal;
        background-color: rgb(227 228 229);
        padding: 5px 7px;
        text-transform: lowercase;
        font-size: 85%;
        color: rgb(150,150,150);
        white-space: nowrap;
    }

    .datatable td {
        padding: 5px;
        font-size: 90%;
        vertical-align: top;
        border-bottom-width: 1px
    }

.datatable.hideid tr td:first-child, .datatable.hideid tr th:first-child
{
    display: none;
}

.datatable.checkbox tr td:nth-child(2)
{
   padding-left: 9px;
}

.datatable.checkbox tr th:nth-child(2)
{
    width:25px;
}

.datatable.checkbox tr
{
    cursor: pointer;
}


    .datatable.checkbox tr:hover {
        background-color: rgb(241 241 241) !important;
    }

    .datatable tr.selected, .datatable tr.selected td, .datatable tr.selected a {
        background-color: #29a4ed !important;
        color: white !important;
        text-decoration-color:white !important;
    }

        .datatable tr.selected:hover {
            background-color: rgb(96 183 235) !important;
        }

a.classlink {
    display: inline-block;
    cursor: pointer;
    text-decoration: underline dotted grey;
    line-height: 115%;
    color:rgb(30,30,30);
}

a.classlink:hover
{
    text-decoration:none;
    background:none !important;
}

/* ------------------------- пользовательские классы ------------------------------- */

.datatable.prods tr {
    cursor: pointer;
    border-bottom: 1px solid rgb(227 228 229);
}
 
 .datatable.prods thead tr:nth-child(1)
{
    border-bottom: none !important;
}

.datatable.prods td {
    font-size: 90%;
    height: 36px;
    line-height: 18px;
}

.datatable.prods th {
   position:sticky;
   top:0px;
}

.datatable.prods td:nth-child(3) {
    overflow: hidden;
    text-overflow: ellipsis;
    color: rgb(170,170,170);
}

.datatable.prods td:nth-child(6) {
    min-width:150px;
}

    .datatable.prods td:nth-child(4), .datatable.prods td:nth-child(5), .datatable.prods td:nth-child(6) {
        max-width: 200px;
        color: rgb(170,170,170);
        text-overflow: ellipsis;
    }

.datatable.prods td:nth-child(7) {
text-align:center;
}

/* ------------------------- hide columns ------------------------------- */

.datatable.hidecolumn1 td:nth-child(1), .datatable.hidecolumn1 th:nth-child(1) 
{
        display: none;
}
.datatable.hidecolumn2 td:nth-child(2), .datatable.hidecolumn2 th:nth-child(2)
{
    display:none;
}
.datatable.hidecolumn3 td:nth-child(3), .datatable.hidecolumn3 th:nth-child(3)
{
    display:none;
}
.datatable.hidecolumn4 td:nth-child(4), .datatable.hidecolumn4 th:nth-child(4)
{
    display:none;
}
.datatable.hidecolumn5 td:nth-child(5), .datatable.hidecolumn5 th:nth-child(5)
{
    display:none;
}
.datatable.hidecolumn6 td:nth-child(6), .datatable.hidecolumn6 th:nth-child(6)
{
    display:none;
}
.datatable.hidecolumn7 td:nth-child(7), .datatable.hidecolumn7 th:nth-child(7)
{
    display:none;
}
.datatable.hidecolumn8 td:nth-child(8), .datatable.hidecolumn8 th:nth-child(8)
{
    display:none;
}
.datatable.hidecolumn9 td:nth-child(9), .datatable.hidecolumn9 th:nth-child(9)
{
    display:none;
}
.datatable.hidecolumn10 td:nth-child(10), .datatable.hidecolumn10 th:nth-child(10)
{
    display:none;
}
.datatable.hidecolumn11 td:nth-child(11), .datatable.hidecolumn11 th:nth-child(11)
{
    display:none;
}
.datatable.hidecolumn12 td:nth-child(12), .datatable.hidecolumn12 th:nth-child(12)
{
    display:none;
}
.datatable.hidecolumn13 td:nth-child(13), .datatable.hidecolumn13 th:nth-child(13)
{
    display:none;
}